program prova02

use portlib

! Definição de variáveis

integer :: max, i, dos

real    :: d, e, mi, ro, Pr

real,dimension(:),allocatable :: u, Re, Nu

! Entrada de dados

write(*,*) "Informe max (numero de dados dos conjuntos)"
read(*,*) max

write(*,*) "Informe d (diametro)"
read(*,*) d

write(*,*) "Informe e (rugosidade absoluta)"
read(*,*) e

write(*,*) "Informe mi (viscosidade absoluta)"
read(*,*) mi

write(*,*) "Informe ro (massa especifica)"
read(*,*) ro

write(*,*) "Informe Pr (Prandtl)"
read(*,*) Pr

allocate ( u(max), Re(max), Nu(max) )

call velocidades (max,u)

call reynolds (max, u, re, d, mi, ro)

call nusselt (max, re, nu, e, d, Pr)

open(5,file='saida.txt')

write(5,6) max, d, e, mi, ro, Pr

write(5,7)
do i = 1, max
	write(5,8) i, u(i), re(i), nu(i)
end do

close(5)

dos = system("notepad saida.txt")

6 format (    "Número de dados nos conjuntos =", i2, &
           /, "Diâmetro =             ", 1pe16.6, &
		   /, "Rugosidade absoluta =  ", 1pe16.6, &
		   /, "Viscosidade absoluta = ", 1pe16.6, &
		   /, "Massa específica =     ", 1pe16.6, &
		   /, "Prandtl =              ", 1pe16.6  )

7 format ( 2/, "Valores de i, velocidade, Reynolds e Nusselt" )
8 format ( i3, 3(1pe15.6) )


end program